Bug 110523 - Glibc 2.2.5-43 to 2.2.5-44 upgrade breaks Java
Glibc 2.2.5-43 to 2.2.5-44 upgrade breaks Java
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 13:38 EST by James Higginbotham
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 00:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Higginbotham 2003-11-20 13:38:04 EST
Description of problem:

I performed an up2date on my server of glibc 2.2.5-43 to glibc 2.2.5-
44, an Athlon 1.2 Ghz running RH 7.3 and registered with this account 
on RHN, and now cannot start a Java-based application server using 
default settings.

I understand you cannot support JBoss, but the issue has to be 
directly related to glibc, as it worked before the upgrade. Any help 
would be appreciated to confirm this issue and offer a solution to 
this problem, including a method of forcefully obtaining a 2.2.5-43 
solution after the rpm is reverted. Please let me know what else may 
be required from my configuration and I will provide it. 

Version-Release number of selected component (if applicable): glibc 
2.2.5-44


How reproducible:
Every time

Steps to Reproduce:
I performed an up2date on my server of glibc 2.2.5-43 to glibc 2.2.5-
44, an Athlon 1.2 Ghz running RH 7.3 and registered with this account 
on RHN, and now cannot start a Java-based application server using 
default settings.

I understand you cannot support JBoss, but the issue has to be 
directly related to glibc, as it worked before the upgrade. Any help 
would be appreciated to confirm this issue and offer a solution to 
this problem, including a method of forcefully obtaining a 2.2.5-43 
solution after the rpm is reverted. Please let me know what else may 
be required from my configuration and I will provide it.
Comment 1 Ulrich Drepper 2004-08-26 00:45:27 EDT
Completely out of date release.

There kinds of problems are impossible to work on especially since
reasonings like

   but the issue has to be  directly related to glibc, as it worked
   before the upgrade.

is completely wrong.  If applications don't use interfaces glibc
provides correctly it's the application's fault.  In 99 out of 100
cases of compatibility problems it is the applications fault.

With the thread code available in that old version of the distribution
there was additional fun to be had with various JVMs working around
bugs in glibc.  glibc is never bug-compatible.  Bugs get fixed,
period.  It's the application developers fault if they decide to work
around bugs instead of reporting them.

I'll close the bug.  Use a recent distribution like FC2.  If you have
problems with that version, isolate the problem and show where old and
new behavior differ.  strace will help doing that.

Note You need to log in before you can comment on or make changes to this bug.